Skip to main content
DELETE
/
v3
/
events
Delete events in Fiddler Platform
curl --request DELETE \
  --url https://{host}/v3/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "time_range": {
    "start_time": "2025-11-17T01:00:00.000Z",
    "end_time": "2025-11-17T02:00:00.000Z"
  },
  "event_ids": [
    "<string>"
  ],
  "update_metrics": true
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "job": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model_id
string<uuid>
required
time_range
object
event_ids
string[] | null
Required array length: 1 - 10000 elements
update_metrics
boolean

Response

Events Deletion request received

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object